import {ComponentFixture, TestBed} from '@angular/core/testing';

import {NoActivePathwayComponent} from './no-active-pathway.component';
import {DataSourceService} from '../services/data-source.service';
import {DataCardService} from 'facade-api';
import {of} from 'rxjs';

describe('NoActivePathwayComponent', () => {
  let component: NoActivePathwayComponent;
  let fixture: ComponentFixture<NoActivePathwayComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ NoActivePathwayComponent ],
      providers: [
        {provide: DataSourceService, useValue: {refresh: () => undefined}},
        {provide: DataCardService, useValue: {maternityDataCardCreate: () => of()}},
      ]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(NoActivePathwayComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
